### Constructor

# Gcr SimpleCertificate new_static

#### Declaration [src]

    GcrCertificate*
    gcr_simple_certificate_new_static (
      const guchar* data,
      gsize n_data
    )

#### Description [src]

Create a new `GcrSimpleCertificate` for the raw DER data. The `data` memory is not copied and must persist until the `GcrSimpleCertificate` object is destroyed.

This constructor is not directly available to language bindings.

#### Parameters

`data`

  Type: An array of `guchar`

  The raw DER certificate data.

  The length of the array is specified in the `n_data` argument.
  The data is owned by the caller of the function.

`n_data`

  Type: `gsize`

  The length of `data`.

#### Return value

Type: `GcrSimpleCertificate`

A new `GcrSimpleCertificate`.

The caller of the function takes ownership of the data, and is responsible for freeing it.